Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoDetBitFlip< Chrom > Class Template Reference
[Bitstring]

eoDetBitFlip --> changes exactly k bits More...

`#include <ga/eoBitOp.h>`

Inheritance diagram for eoDetBitFlip< Chrom >:

List of all members.

## Public Member Functions
| eoDetBitFlip (const unsigned &_num_bit=1)
| (Default) Constructor.
virtual std::string | className () const
| The class name.
bool | operator() (Chrom &chrom)
| Change num_bit bits.
## Private Attributes
unsigned | num_bit

## Detailed Description

### template<class Chrom>
class eoDetBitFlip< Chrom >

eoDetBitFlip --> changes exactly k bits

Definition at line 67 of file eoBitOp.h.

## Constructor & Destructor Documentation

template<class Chrom>
eoDetBitFlip< Chrom >::eoDetBitFlip | ( | const unsigned & | _num_bit = `1` | ) | `[inline]`

  | (Default) Constructor. Parameters:
  | _num_bit | The number of bits to change default is one - equivalent to eoOneBitFlip then
Definition at line 75 of file eoBitOp.h.

## Member Function Documentation

template<class Chrom>
bool eoDetBitFlip< Chrom >::operator() | ( | Chrom & | chrom | ) | `[inline, virtual]`

  | Change num_bit bits. Parameters:
  | chrom | The cromosome which one bit is going to be changed.
Implements eoUF< Chrom &, bool >. Definition at line 84 of file eoBitOp.h.

The documentation for this class was generated from the following file:

- eoBitOp.h